Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.util
Class ReasonerPreferences

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.util.ReasonerPreferences

    public class ReasonerPreferences

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 30, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `DEFAULT_REASONER_URL`
`static String` | `REASONER_URL_KEY`

Constructor Summary
`protected` | `ReasonerPreferences()`

Method Summary
`String` | `getDefaultReasonerURL()` Gets the Default URL for the extenal DIG Reasoner
`static ReasonerPreferences` | `getInstance()`
`String` | `getReasonerURL()` Gets the URL for the external DIG Reasoner.
`boolean` | `isAutomaticallyShowInferredHierarchy()`
`boolean` | `isShowReasonerResultsPanel()`
`boolean` | `isShowWarningResultsPanel()`
`boolean` | `isWarningAsErrors()`
`void` | `setAutomaticallyShowInferredHierarchy(boolean automaticallyShowInferredHierarchy)`
`void` | `setReasonerURL(String url)` Sets the URL for the external DIG Reasoner
`void` | `setShowReasonerResultsPanel(boolean showReasonerResultsPanel)`
`void` | `setShowWarningResultsPanel(boolean showWarningResultsPanel)`
`void` | `setWarningsAsErrors(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_REASONER_URL

    public static final String DEFAULT_REASONER_URL

See Also:
  Constant Field Values

### REASONER_URL_KEY

    public static final String REASONER_URL_KEY

See Also:
  Constant Field Values

Constructor Detail

### ReasonerPreferences

    protected ReasonerPreferences()

Method Detail

### getInstance

    public static ReasonerPreferences getInstance()

### getReasonerURL

    public String getReasonerURL()

  Gets the URL for the external DIG Reasoner.

  Returns:
    A String that represents the URL.

### getDefaultReasonerURL

    public String getDefaultReasonerURL()

  Gets the Default URL for the extenal DIG Reasoner

  Returns:
    A String representing the URL.

### setReasonerURL

    public void setReasonerURL(String url)

  Sets the URL for the external DIG Reasoner

  Parameters:
    `url` - A `String` that represents the URL.

### isWarningAsErrors

    public boolean isWarningAsErrors()

### setWarningsAsErrors

    public void setWarningsAsErrors(boolean b)

### isShowWarningResultsPanel

    public boolean isShowWarningResultsPanel()

### setShowWarningResultsPanel

    public void setShowWarningResultsPanel(boolean showWarningResultsPanel)

### isShowReasonerResultsPanel

    public boolean isShowReasonerResultsPanel()

### setShowReasonerResultsPanel

    public void setShowReasonerResultsPanel(boolean showReasonerResultsPanel)

### isAutomaticallyShowInferredHierarchy

    public boolean isAutomaticallyShowInferredHierarchy()

### setAutomaticallyShowInferredHierarchy

    public void setAutomaticallyShowInferredHierarchy(boolean automaticallyShowInferredHierarchy)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.